<template>
  <q-page padding>
    <div class="column full-width q-gutter-md">
      <span class="text-h5 text-bold text-center">Find my cylinder</span>
      <span class="text-subtitle1 text-center">View requests or remove cylinder listing</span>
      <q-form @submit="searchCylinders">
        <div class="row justify-center">
          <div class="col-md-3">
            <q-input
              v-model="phone"
              label="Owner's phone"
              :rules="[ val => val && val.length === 10 || 'Please enter the phone.']"
            >
              <template v-slot:prepend>
                <span class="text-p">+91</span>
              </template>
            </q-input>
            <div class="row justify-end ">
              <q-btn
                no-caps
                type="submit"
                color="accent"
                text-color="black"
                label="Search"
              />
            </div>
          </div>
        </div>
      </q-form>
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api'
export default defineComponent({
  name: 'PageMyCylinder',

  data () {
    return {
      phone: ''
    }
  },

  methods: {
    searchCylinders: function () {
      this.getCylinders(this.phone)
        .then((response) => {
          return this.$router.push({
            path: `/${response.data.cylinder_id}`,
            query: {
              phone: this.phone
            }
          })
        })
        .catch((error) => {
          console.log(error)
          this.$q.notify({
            message: error.response.data.message,
            color: 'warning'
          })
        })
    },

    getCylinders: function (phone: string) {
      return this.$axios.get(`/api/cylinders/myCylinder?phone=${phone}`)
    }
  }
})
</script>
